<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table50', function (Blueprint $table) {
            $table->id('DatasetTable50Id');
            $table->integer('dataset_id');
            $table->string('pihak_mengadu')->nullable();
            $table->text('masalah')->nullable();
            $table->string('tahun')->nullable();
            $table->text('proses_pengaduan')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table50s');
    }
};
